summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Alexander Verbovetsky2020-02-08 03:15:15 +0100
committer Willy Sudiarto Raharjo2020-02-08 07:39:33 +0100
commit682eaa12d7bc1f1cd4156ec38b456c1e32f9e586 (patch)
tree611c4da0f7c8ef8b9ba9dd2ee26f4f8aef7891b5
parent1f41684be9f1e00f7153721be1896c5c616feaf7 (diff)
downloadslackbuilds-682eaa12d7bc1f1cd4156ec38b456c1e32f9e586.tar.gz
system/ttf-xo-fonts: Added (free XO Fonts).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/ttf-xo-fonts/README17
-rw-r--r--system/ttf-xo-fonts/doinst.sh10
-rw-r--r--system/ttf-xo-fonts/slack-desc19
-rw-r--r--system/ttf-xo-fonts/ttf-xo-fonts.SlackBuild61
-rw-r--r--system/ttf-xo-fonts/ttf-xo-fonts.info10
5 files changed, 117 insertions, 0 deletions
diff --git a/system/ttf-xo-fonts/README b/system/ttf-xo-fonts/README
new file mode 100644
index 0000000000..87cbb0ebe1
--- /dev/null
+++ b/system/ttf-xo-fonts/README
@@ -0,0 +1,17 @@
+This package contains free fonts released in 2016-2019 by the New Cloud
+Technologies company (the developer of the office suite "MyOffice").
+They consist of 10 families based on Latin and Cyrillic scripts:
+
+* XO Oriel (4 styles)
+* XO Thames (4 styles)
+* XO Caliburn (4 styles)
+* XO Courser (4 styles)
+* XO Tahion (2 styles)
+* XO Windy
+* XO Symbol (2 variants)
+* XO Oriel Condensed
+* XO Trebizond
+* XO Verbena
+
+XO Fonts are metrically compatible with common Microsoft and Monotype
+fonts and are designed as an alternative to them.
diff --git a/system/ttf-xo-fonts/doinst.sh b/system/ttf-xo-fonts/doinst.sh
new file mode 100644
index 0000000000..883c47ac0a
--- /dev/null
+++ b/system/ttf-xo-fonts/doinst.sh
@@ -0,0 +1,10 @@
+# Update the X font indexes:
+if [ -x /usr/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/TTF
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/system/ttf-xo-fonts/slack-desc b/system/ttf-xo-fonts/slack-desc
new file mode 100644
index 0000000000..37e45d5fdc
--- /dev/null
+++ b/system/ttf-xo-fonts/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ttf-xo-fonts: ttf-xo-fonts (free XO Fonts)
+ttf-xo-fonts:
+ttf-xo-fonts: This package contains 10 free fonts released in 2016-2019 by the New
+ttf-xo-fonts: Cloud Technologies company. The fonts include 24 styles and are based
+ttf-xo-fonts: on Latin and Cyrillic scripts. XO Fonts are metrically compatible with
+ttf-xo-fonts: common Microsoft and Monotype fonts and are designed as an alternative
+ttf-xo-fonts: to them.
+ttf-xo-fonts:
+ttf-xo-fonts: Homepage: https://fonts.myoffice.ru
+ttf-xo-fonts:
+ttf-xo-fonts:
diff --git a/system/ttf-xo-fonts/ttf-xo-fonts.SlackBuild b/system/ttf-xo-fonts/ttf-xo-fonts.SlackBuild
new file mode 100644
index 0000000000..907790f575
--- /dev/null
+++ b/system/ttf-xo-fonts/ttf-xo-fonts.SlackBuild
@@ -0,0 +1,61 @@
+#!/bin/sh
+
+# Slackware build script for ttf-xo-fonts
+
+# Copyright 2020, Alexander Verbovetsky, Moscow, Russia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ttf-xo-fonts
+VERSION=${VERSION:-2019}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+mkdir -p $PKG/usr/share/fonts/TTF
+unzip -j $CWD/all_fonts_myoffice.zip *.ttf -x "*__*" -d $PKG/usr/share/fonts/TTF
+
+cd $PKG/usr/share/fonts/TTF
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/ttf-xo-fonts/ttf-xo-fonts.info b/system/ttf-xo-fonts/ttf-xo-fonts.info
new file mode 100644
index 0000000000..f62e5b18cf
--- /dev/null
+++ b/system/ttf-xo-fonts/ttf-xo-fonts.info
@@ -0,0 +1,10 @@
+PRGNAM="ttf-xo-fonts"
+VERSION="2019"
+HOMEPAGE="https://fonts.myoffice.ru"
+DOWNLOAD="https://fonts.myoffice.ru/wp-content/themes/template/fonts_page/files/all_fonts_myoffice.zip"
+MD5SUM="16d1ea41f10ad0ecdb2afcac3ee56361"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Alexander Verbovetsky"
+EMAIL="alik@ejik.org"